var argv = require("minimist")(process.argv.slice(2), { default: { show: 1 } });
var five = require("../lib/johnny-five");
var board = new five.Board({
  port: "/dev/cu.usbmodem1421"
});

board.on("ready", function() {
  var keypad;

  if (argv.show === 1) {
    keypad = new five.Keypad({
      controller: "PRO_MINI_BACKPACK"
    });
  }

  if (argv.show === 2) {
    keypad = new five.Keypad({
      controller: "PRO_MINI_BACKPACK",
      keys: [
        ["!", "@", "#"],
        ["$", "%", "^"],
        ["&", "-", "+"],
        ["<", "?", ">"],
      ]
    });
  }

  if (argv.show === 3) {
    keypad = new five.Keypad({
      controller: "PRO_MINI_BACKPACK",
      keys: ["!", "@", "#", "$", "%", "^", "&", "-", "+", "<", "?", ">"]
    });
  }

  ["change", "press", "hold", "release"].forEach(function(eventType) {
    keypad.on(eventType, function(data) {
      console.log("Event: %s, Target: %s", eventType, data.which);
    });
  });
});
